/**
 * とある学生を示すクラス．
 * この人は家庭教師，学生，そしてサッカー選手の能力を有する．
 * @author kaiya
 *
 */
public class Gakusei implements PrivateTeacher, Student, FootballPlayer {
	/**
	 * 自分がやとわれている生徒．なければnull
	 */
	private Pupil pupil=null;

	/**
	 * ある生徒のために雇われる．
	 * @param p 生徒
	 */
	public void employ(Pupil p) {
		pupil=p;
	}

	/**
	 * 生徒のもとにいく．もし雇われていれば．
	 */
	public void invite() {
		// 未実装 pupil経由で家の情報とかゲットすればいけるでしょう．
		if(pupil!=null){
			pupil.getHome();
		}
	}

	/**
	 * 生徒が学ぶ際の処理．
	 * 彼の方針は「けなす」ことのようです．
	 */
	public void learn() {
		if(pupil!=null){
			pupil.runDown();
		}

	}

	public void teach(Field f) {
		// 学生としてある分野を教わる際の振る舞いを書く．

	}

	public void select(Game g) {
		// あるゲームに選抜された際，どう振舞うかをかきます．めんといので未実装．

	}

}
