/**
 * 家庭教師の能力や役割を規定するインタフェース
 * @author kaiya
 *
 */
public interface PrivateTeacher {
	/**
	 * 生徒のために雇われる能力を有します
	 * @param p 指定された生徒
	 */
	public void employ(Pupil p);
	
	/**
	 * 家庭教師ですから雇われた生徒のもとに招かれます．
	 */
	public void invite();
	
	/**
	 * 家庭教師から学ぶのでしょう．
	 * ま，結果は生徒次第？
	 */
	public void learn();
}
